Subject: bug#7191: Gnulib failing to compile on Ubuntu 10.10

From: William Plusnick <[email-masked]>
Date: Mon, 11 Oct 2010 18:18:20 -0500

The latest version of Ubuntu 10.10 is not building the Coreutils. It appears
to fail due getopt. I ran:
$ git pull
$ make clean
$ ./bootstrap
$ ./configure
$ make

and get this error:
  CC     xstrtoimax.o
In file included from xstrtol.h:22,
                 from xstrtol.c:31,
                 from xstrtoimax.c:6:
./getopt.h:196: error: redefinition of 'struct option'
./getopt.h:242: error: conflicting types for 'getopt_long'
/usr/include/getopt.h:175: note: previous declaration of 'getopt_long' was
here
./getopt.h:246: error: conflicting types for 'getopt_long_only'
/usr/include/getopt.h:179: note: previous declaration of 'getopt_long_only'
was here
make[4]: *** [xstrtoimax.o] Error 1

I can try to solve it, but I'm a pretty bad programmer (maybe someday that
will change), so most likely someone else will solve it before I do.

William

P.S. Here is my gcc version:
$ gcc --version
gcc (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5